<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingHorizontal="16dp"
    android:paddingTop="18dp"
    android:paddingBottom="24dp">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_goods"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:itemCount="3"
        tools:listitem="@layout/layout_order_good_item" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_count"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rv_goods">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/common_count_str"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.adealink.weparty.commonui.widget.NumberIncreaseView
            android:id="@+id/v_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:default_number="1"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="16dp"
        app:layout_constraintTop_toBottomOf="@id/cl_count">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_price"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:background="@drawable/common_create_order_price_bg"
            android:paddingStart="20dp"
            android:paddingEnd="60dp"
            app:layout_constraintBottom_toBottomOf="@id/btn_order"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/btn_order">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginEnd="4dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/tv_price"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_wallet_coin_32_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="@string/profile_create_order"
                android:textColor="@color/color_FF4E5969"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="2500/hour" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_order"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="-24dp"
            android:background="@drawable/common_create_order_button_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/profile_create_order"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constrainedHeight="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/cl_price"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>